Subject: Re: bug#61502: 29.0.60; c-ts-mode auto-indent not working

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Feb 2023 15:16:47 +0200

> From: Pankaj Jangid <[email-masked]>
> Date: Tue, 14 Feb 2023 10:06:13 +0530
> 
> 
> The auto-indent is not working when using c-ts-mode.
> 
> Steps:
> 
> 1. create a new file test.c
> 
> 2. After typing following snippet, the indentation should work
> automatically on RET. But even the TAB is not indenting the next line
> (after the RET),
> 
> --8<---------------cut here---------------start------------->8---
> int main()
> {
> --8<---------------cut here---------------end--------------->8---

Keep typing whatever code you wan "int main" to include, and it will
auto-indent soon enough.

So I'm not sure your expectations are necessarily true; they could be
just something you are used to in CC mode.  But I'll let Yuan and Theo
chime in and tell whether a single RET here is supposed to
auto-indent.  Does c-ts-mode really always reindents on RET?